Subject: Re: git on Cygwin: Not a valid object name HEAD

From: Marius Storm-Olsen <[email-masked]>
Date: Thu, 09 Aug 2007 08:01:44 +0200

>> I have two 'crashes' during installation. I attached snapshots of
>> the requesters. I don't know how to copy text from the installer.
>> Therefore I attached snapshots.
> 
> Hmm... how do I get started? I naively chose cygwin as my shell. I
> set
> 
> export PATH=$PATH:/cygdrive/c/msysgit/bin
> 
> then I tried
> 
> $ git clone git://git.kernel.org/pub/scm/git/git.git 
> c:/msysgit/bin/git-clone: line 214: git-init: command not found
> 
> Maybe it's related to the errors during installation?
> 
> How can I build and install git manually, based on the result of
> GitMe-3's basic setup?

Ok, first, which system is this? Windows 2000/XP/Vista?
(The Gitme installer doesn't work on old ones for now)

Try running gitme from a terminal. Download gitme-3.exe into C:\temp, 
open a native terminal (Start - Run - Type "cmd" <enter>); then in the 
terminal, type:
     C:\temp> set PATH=%WINDIR%\system32;%WINDIR%
     C:\temp> gitme-3

Does it work then? If so, the problem is likely to be that you have 
Cygwin in the system path, which is not advisable/compatible with MSys.

-- 
.marius